MVTec Software GmbH
 

系统要求

HALCON 20.05 开发版的要求

系统要求

深度学习的特殊要求:

  • 64 位操作系统:Windows 或 Linux
  • 训练深度学习网络需要 Intel (R) CPU 或 NVIDIA GPU(详情请参阅安装指南

操作系统:Windows x86

处理器:Intel® Pentium 4/AMD Athlon 64 或以上

编译器:Visual Studio 2005 或以上版本

详细内容:Windows 7 / 8.1 / 10+和Windows Server 2008 R2 / 2012 R2 / 2016/2019 版本的系统要求

  • Windows 7 / 8.1 / 10+(x64版上的x86和WoW)或Windows Server 2008 R2 / 2012 R2 / 2016/2019上的WoW
  • 也可在 Windows Embedded Standard/Enterprise 7 上运行(前提是包含所有必需的组件)
  • 某些独立于HALCON的第三方图像采集设备可能具有更高的系统要求
  • 请注意:此平台不支持深度学习。

操作系统:Windows x64

处理器:Intel® 64 或 AMD 64

编译器:Visual Studio 2005 或以上版本

详细内容:Windows 7 / 8.1 / 10+和Windows Server 2008 R2 / 2012 R2 / 2016/2019 x64 版本的系统要求

  • Windows 7 / 8.1 / 10+(x64版本)或 Windows Server 2008 R2 / 2012 R2 / 2016/2019(Intel 64 或AMD 64)
  • 也可在 Windows Embedded Standard/Enterprise 7 上运行(前提是包含所有必需的组件)
  • 请注意:某些独立于HALCON的第三方图像采集设备可能具有更高的系统要求

操作系统:Linux x86_64

处理器:Intel 64 或 AMD 64

编译器:gcc 5.5 或以上版本

详细内容:Linux x86_64(含 gcc 5.5 或以上版本)的系统要求

  • Intel 64 或 AMD 64 上的 Linux x86_64(含 gcc 5.5 和 glibc 2.17 或以上版本),libstdc++.so.6.0.21/GLIBCXX_3.4.21(或以上版本)
  • 请注意:某些独立于 HALCON 的第三方图像采集设备可能具有更高的系统要求

操作系统:Linux Armv7-A

处理器:支持 NEON 指令集的 Armv7-A 兼容处理器

编译器:gcc 5.5 或以上版本

详细内容:ARMv7-A(含 gcc 5.5 或以上版本)的系统要求

  • Linux Armv7-A,gcc 5.5,glibc 2.17(或以上版本),libstdc++.so 6.0.21/GLIBCXX_3.4.21(或以上版本)和 Hidraw 内核支持
  • USB 主机端口
  • 请注意:HALCON 仅支持在 CPU 上的深度学习推理。

操作系统:Linux AArch64

处理器:支持 NEON 指令集的 Armv8-A 64 位兼容处理器

编译器:gcc 5.5 或以上版本

详细内容:AArch64(含 gcc 5.5 或以上版本)的系统要求

  • Linux AArch64,gcc 5.5,glibc 2.17(或以上版本),libstdc++.so 6.0.21/GLIBCXX_3.4.21(或以上版本)和 Hidraw 内核支持
  • USB 主机端口

操作系统:macOS

处理器:Intel 64

编译器:Xcode 10.0

详细内容:macOS 10.14 / 10.15 的系统要求

  • 安装 macOS 10.15 / 10.15 的硬件
  • 请注意:此平台不支持深度学习。

HALCON 同样支持嵌入式平台:

 面向嵌入式视觉的 HALCON 详细介绍

*Intel 是 Intel Corporation 或其子公司在美国和/或其他国家/地区的商标。